Bug 1111590 (CVE-2014-4508) - CVE-2014-4508 Kernel: x86_32: BUG in syscall auditing
Summary: CVE-2014-4508 Kernel: x86_32: BUG in syscall auditing
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: CVE-2014-4508
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1112073
Blocks: 1110639
TreeView+ depends on / blocked
 
Reported: 2014-06-20 13:10 UTC by Prasad J Pandit
Modified: 2019-09-29 13:18 UTC (History)
30 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-10 08:09:08 UTC


Attachments (Terms of Use)

Description Prasad J Pandit 2014-06-20 13:10:48 UTC
Linux kernel built with the system-call auditing support(CONFIG_AUDITSYSCALL)
for 32-bit platforms is vulnerable to a crash caused by erroneous handling of
bad system call numerals. It occurs during syscall(2) calls, if system-call
auditing is enabled on the system.

An unprivileged user/process could use this flaw to crash the system kernel
resulting in DoS.

Upstream fix:
-------------
  -> https://lkml.org/lkml/2014/6/16/682

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2014/06/20/1

Comment 1 Murray McAllister 2014-06-23 02:26:53 UTC
MITRE assigned CVE-2014-4508 to this issue:

http://www.openwall.com/lists/oss-security/2014/06/20/10

Comment 2 Prasad J Pandit 2014-06-23 06:09:08 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1112073]

Comment 3 Fedora Update System 2014-06-30 10:29:14 UTC
kernel-3.14.9-200.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2014-07-25 10:08:42 UTC
kernel-3.14.13-100.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.